### Hierarchy

- ClientRequestArgs

## Index

### Properties

- _defaultAgent
- agent
- auth
- createConnection
- defaultPort
- family
- headers
- host
- hostname
- localAddress
- lookup
- maxHeaderSize
- method
- path
- port
- protocol
- setHost
- signal
- socketPath
- timeout

## Properties

### Optional _defaultAgent

_defaultAgent?: Agent

### Optional agent

agent?: boolean | Agent

### Optional auth

auth?: string

### Optional createConnection

createConnection?: (options: ClientRequestArgs, oncreate: (err: <internal>.Error, socket: Socket) => void) => Socket

#### Type declaration

- - (options: ClientRequestArgs, oncreate: (err: <internal>.Error, socket: Socket) => void): Socket

  - #### Parameters

    - ##### options: ClientRequestArgs

    - ##### oncreate: (err: <internal>.Error, socket: Socket) => void

      - - (err: <internal>.Error, socket: Socket): void

        - #### Parameters

          - ##### err: <internal>.Error

          - ##### socket: Socket

          #### Returns void

    #### Returns Socket

### Optional defaultPort

defaultPort?: string | number

### Optional family

family?: number

### Optional headers

headers?: OutgoingHttpHeaders

### Optional host

host?: string

### Optional hostname

hostname?: string

### Optional localAddress

localAddress?: string

### Optional lookup

lookup?: LookupFunction

### Optional maxHeaderSize

maxHeaderSize?: number

default

  8192

### Optional method

method?: string

### Optional path

path?: string

### Optional port

port?: string | number

### Optional protocol

protocol?: string

### Optional setHost

setHost?: boolean

### Optional signal

signal?: AbortSignal

### Optional socketPath

socketPath?: string

### Optional timeout

timeout?: number

Generated using TypeDoc